This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 983196 - SELinux is preventing /usr/bin/gnome-keyring-daemon from 'getattr' accesses on the file /var/lib/gdm/.config/dconf/user.
SELinux is preventing /usr/bin/gnome-keyring-daemon from 'getattr' accesses o...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:00a6d6434e39729f2146a9a5e73...
:
Depends On:
Blocks: 989470
  Show dependency treegraph
 
Reported: 2013-07-10 12:57 EDT by Helber Maciel Guerra
Modified: 2015-02-18 06:18 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 989470 (view as bug list)
Environment:
Last Closed: 2015-02-18 06:18:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Helber Maciel Guerra 2013-07-10 12:57:16 EDT
Description of problem:
Just use gnome-keyring
SELinux is preventing /usr/bin/gnome-keyring-daemon from 'getattr' accesses on the file /var/lib/gdm/.config/dconf/user.

*****  Plugin catchall (100. confidence) suggests  ***************************

If você acredita que o gnome-keyring-daemon deva ser permitido acesso de getattr em user file  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep gnome-keyring-d /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:xdm_var_lib_t:s0
Target Objects                /var/lib/gdm/.config/dconf/user [ file ]
Source                        gnome-keyring-d
Source Path                   /usr/bin/gnome-keyring-daemon
Port                          <Desconhecido>
Host                          (removed)
Source RPM Packages           gnome-keyring-3.8.2-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-59.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.x86_64 #1 SMP Thu
                              Jul 4 15:10:36 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-10 14:00:09 BRT
Last Seen                     2013-07-10 14:00:09 BRT
Local ID                      6c49f47b-1ad5-41cd-98d6-a9c53aae6995

Raw Audit Messages
type=AVC msg=audit(1373475609.980:431): avc:  denied  { getattr } for  pid=1476 comm="gnome-keyring-d" path="/var/lib/gdm/.config/dconf/user" dev="sda1" ino=1596066 scontext=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_var_lib_t:s0 tclass=file


type=SYSCALL msg=audit(1373475609.980:431): arch=x86_64 syscall=fstat success=yes exit=0 a0=7 a1=7fff97d64120 a2=7fff97d64120 a3=7fff97d63fe0 items=0 ppid=1475 pid=1476 auid=4294967295 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 ses=4294967295 tty=(none) comm=gnome-keyring-d exe=/usr/bin/gnome-keyring-daemon subj=system_u:system_r:xdm_dbusd_t:s0-s0:c0.c1023 key=(null)

Hash: gnome-keyring-d,xdm_dbusd_t,xdm_var_lib_t,file,getattr

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.x86_64
type:           libreport

Potential duplicate: bug 742790
Comment 2 Kevin Feagins 2013-07-21 20:30:05 EDT
Description of problem:
I believe this event happened while loading Oracle 12c RDBMS on an Oracle Linux VirtualBox. I am using Fedora 19 as the global; the keyboard and the left mouse click was locked up. I have also tried to load Oracle 12C RDBMS on this box before I loaded the 12c on the VM, which received some library link errors. However the Oracle setup does not change the actual system binaries or libraries.

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 8 Fedora Update System 2013-11-08 04:07:07 EST
selinux-policy-3.12.1-74.12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-74.12.fc19
Comment 9 Fedora Update System 2013-11-08 22:35:47 EST
Package selinux-policy-3.12.1-74.12.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-74.12.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20980/selinux-policy-3.12.1-74.12.fc19
then log in and leave karma (feedback).
Comment 10 Fedora End Of Life 2015-01-09 17:39:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-02-18 06:18:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.